Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006215 [JEDI VCL] 00 JVCL Components minor always 2013-10-14 23:24 2015-09-14 13:20
Reporter PostAp View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.47
Summary 0006215: Unit JvLED: forgotten OnChange property
Description Unit JvLED has code:

  TJvCustomLED = class(TJvGraphicControl)
  private
...
   FOnChange: TNotifyEvent;

...
procedure TJvCustomLED.SetStatus(Value: Boolean);
begin
  FStatus := Value;
  if Status then
    Color := ColorOn
  else
    Color := ColorOff;
  if Assigned(FOnChange) then
    FOnChange(Self);
end;

but forgotten code:
type
  TJvCustomLED = class(TJvGraphicControl)
  protected
...
    property OnChange: TNotifyEvent read FOnChange write FOnChange; // FIX

and

  TJvLED = class(TJvCustomLED)
  published
...
    property OnChange; // FIX

in my opinion procedure TJvCustomLED.SetStatus must be:

procedure TJvCustomLED.SetStatus(Value: Boolean);
begin
  if Value <> FStatus then
  begin
  FStatus := Value;
  if FStatus then
    Color := ColorOn
  else
    Color := ColorOff;
  if Assigned(FOnChange) then
    FOnChange(Self);
  end;
end;
Additional Information
Tags No tags attached.
Attached Files ? file icon JvLED_FIX.pas [^] (7,589 bytes) 2013-10-14 23:24

- Relationships

-  Notes
(0020702)
AHUser (developer)
2013-12-01 11:21

Fixed in master branch.

- Issue History
Date Modified Username Field Change
2013-10-14 23:24 PostAp New Issue
2013-10-14 23:24 PostAp File Added: JvLED_FIX.pas
2013-12-01 11:21 AHUser Note Added: 0020702
2013-12-01 11:21 AHUser Status new => resolved
2013-12-01 11:21 AHUser Fixed in Version => Daily / SVN
2013-12-01 11:21 AHUser Resolution open => fixed
2013-12-01 11:21 AHUser Assigned To => AHUser
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker